
radius_check() {
    [ -x /etc/init.d/radiusd ] && {
	local PID=$(get_pid radiusd)
	[ -z "$PID" ] && return 1
    }
    return 0
}

f_radius_do() {
    radius_check
    [ $? -eq 0 ] || {
	echo "$SRV: Checking is failed. Try to restart service" | logger -p user.emerg -t ServiceFailover
	/etc/init.d/radiusd restart
    }
}

f_radius_check_one() { :; }
